
%define oname	xvba-video

Summary:        VA API driver for proprietary fglrx driver
Name:		vaapi-driver-fglrx
Version:	0.7.8
Release:	%mkrel 2
Group:		Video
License:	Freeware
URL:		http://www.splitted-desktop.com/~gbeauchesne/xvba-video/
Source0:	http://www.splitted-desktop.com/~gbeauchesne/xvba-video/%{oname}-%{version}.bin.tar.gz
# for convenience:
Provides:	%{oname}
ExclusiveArch:	%ix86 x86_64

%description
XvBA driver backend for VA API, a video acceleration API.

This is a proprietary backend for use with the proprietary fglrx
display driver for ATI cards.

%prep
%setup -q -n %oname-%version.bin

%install
rm -rf %{buildroot}

install -d -m755 %{buildroot}%{_libdir}/dri
%ifarch %ix86
cp -a x86/* \
%endif
%ifarch x86_64
cp -a x64/* \
%endif
	%{buildroot}%{_libdir}/dri

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README COPYING
%{_libdir}/dri/*_drv_video.so




%changelog
* Sat May 07 2011 anssi <anssi> 0.7.8-2.mga1
+ Revision: 95758
- adapt for changed libva drivers location

* Fri May 06 2011 mikala <mikala> 0.7.8-1.mga1
+ Revision: 95566
- Update tarball to 0.7.8
- imported package vaapi-driver-fglrx


* Wed Nov 17 2010 Anssi Hannula <anssi@mandriva.org> 0.7.6-1mdv2011.0
+ Revision: 598480
- new version
- switch to unified tarball

* Thu Aug 12 2010 Anssi Hannula <anssi@mandriva.org> 0.7.3-1mdv2011.0
+ Revision: 569198
- new version

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.7.2-1mdv2011.0
+ Revision: 552934
- new version

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 551414
- initial Mandriva release

